package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CompanyType;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CompanyTypeMapper")
public interface CompanyTypeMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CompanyType record);

    CompanyType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CompanyType record);

    List<CompanyType> queryAllCompanyType(CompanyType record);

    List<CompanyType> queryCompanyTypeByPage(Map<String, Object> parameter);

    int delete(String id);

    CompanyType queryCompanyType(CompanyType record);

    List<CompanyType> query(CompanyType record);
}

